# osgtexturerectangle.cpp File Reference

`#include <osg/Notify>`
`#include <osg/TextureRectangle>`
`#include <osg/Geometry>`
`#include <osg/Geode>`
`#include <osg/Group>`
`#include <osg/Projection>`
`#include <osg/MatrixTransform>`
`#include <osgText/Text>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgProducer/Viewer>`

Include dependency graph for osgtexturerectangle.cpp:

## Functions

osg::Node * | createRectangle (osg::BoundingBox &bb, const std::string &filename)
osg::Geode * | createText (const std::string &str, const osg::Vec3 &pos)
osg::Node * | createHUD ()
osg::Node * | createModel (const std::string &filename)
int | main (int argc, char **argv)

## Function Documentation

osg::Node* createHUD | ( |  | ) |

osg::Node* createModel | ( | const std::string & | filename | ) |

osg::Node* createRectangle | ( | osg::BoundingBox & | bb,
|  | const std::string & | filename
| ) |

osg::Geode* createText | ( | const std::string & | str,
|  | const osg::Vec3 & | pos
| ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |